.quiz-item {
    @apply relative;
}

.quiz-item::before{
    content: "";
    @apply absolute rounded shadow-highlight pointer-events-none opacity-0;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.quiz-item-animate::before {
    @apply animate-highlight-question;
}

.TooltipContent-animate-close[data-state="closed"] {
    @apply animate-tooltip-fadeout;
}

.quiz-item-adv-search-container {
    > div.lrn.lrn-author {
        min-height: auto;

        & label, & input{
            font-family: "Open Sans", ui-sans-serif, system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, "Noto Sans", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
            font-weight: 600;
            color: #424242;
            opacity: 0.8;
        }
        & label {
            font-size: .75rem;
        }
        & .lrn-item-list.lrn-author-ui {
            > div:not([data-authorapi-view="toolbar"]) {
                display: none;
            }
            > div[data-authorapi-view="toolbar"] {
                & .lrn-tool-panel {
                    @apply w-full pb-6 border-b-2 border-gray-400 grow-0;
                    background: none;

                    > .lrn-tool-panel-search {
                        padding: 0;
                    }
                }
                & form.lrn-form-list-search {
                    & .lrn-author-flex-toolbar {
                        margin-left: 0;
                    }
                    /* Search bar button container*/
                    & div.lrn-author-flex-toolbar-item.lrn-author-flex-toolbar-item-sm {
                        order: 1;
                        padding: 0;
                        height: 100%;
                        max-width: 1.5rem;
                        align-self: center;

                        & button[data-authorapi-selector="search-button"] {
                            @apply flex items-center justify-center;
                            min-width: 0;
                            padding: 0;
                            background: none;
                            border: none;
                            pointer-events: none;
                            transition: none;
                        }
                        & .lrn-i-search::before {
                            content: url("../components/quiz/images/search.svg");
                            @apply w-6 h-6;
                            vertical-align: middle;
                        }
                    }
                    /* Search bar text input container*/
                    & div[data-authorapi-selector="general-search"] {
                        order: 2;

                        > .lrn-form-group {
                            margin: 0;
                        }
                    }
                    & .lrn-input-group, & .lrn-form-control {
                        @apply w-full h-8 px-3.5 border border-gray-300 shadow-3xl rounded outline-none pr-8;
                    }
                    & input.lrn-form-control, & input[data-authorapi-selector="tag-search-input"] {
                        &::placeholder {
                            @apply italic text-xs text-gray-400;
                        }
                    }
                    & .lrn-input-group {
                        padding-left: 0;
                        padding-right: 0;

                        & .lrn-form-control, & button[data-authorapi-selector="expand-advanced"] {
                            height: 100%;
                            padding-top: 0;
                            padding-bottom: 0;
                            border: none;
                            outline: none;
                            --tw-shadow: none;
                            --tw-shadow-colored: none;
                            box-shadow: none;
                        }
                        & .lrn-form-control {
                            border-radius: 0.25rem/* 4px */ 0 0 0.25rem/* 4px */;
                        }
                        & button[data-authorapi-selector="expand-advanced"] {
                            border-radius: 0 0.25rem/* 4px */ 0.25rem/* 4px */ 0;
                        }
                    }
                    & .lrn-form-control.lrn-tags-search {
                        padding-top: 0.375rem/* 6px */;
                    }
                    & button[type="submit"].lrn-i-search {
                        @apply px-5 py-3 w-[4.688rem] h-[2.688rem] bg-white text-sfblue-500 border-sfblue-500 hover:bg-sfblue-50 active:bg-sfblue-100;

                        &::before {
                            content: url("../components/quiz/images/search-blue.svg");
                            vertical-align: middle;
                        }
                    }
                }
                & div[data-authorapi-view="state"] {
                    & button[data-authorapi-selector="clear-btn"] {
                        margin-top: .3571428571rem;
                    }
                }
                & div[data-authorapi-view="search"] {
                    @apply mb-4;
                }
            }
        }
    }
}